summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xeurephiadm/mk_buildinfo.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/eurephiadm/mk_buildinfo.sh b/eurephiadm/mk_buildinfo.sh
index cee2a65..051231a 100755
--- a/eurephiadm/mk_buildinfo.sh
+++ b/eurephiadm/mk_buildinfo.sh
@@ -27,7 +27,7 @@ buildhost="`hostname`"
# Check if we're in a git tree
gitdir="`git rev-parse --git-dir 2> /dev/null`"
-if [[ $? = 0 ]]; then
+if [ $? = 0 ]; then
# If we have a .git directory, presume the source is from a git tree
branch=`git symbolic-ref HEAD`
gitrev=`git rev-list ${branch} -1`
@@ -57,7 +57,7 @@ cat <<EOF > buildinfo.h
#define BUILDCONFIGURE "${configurecall}"
EOF
-if [[ -n "${gitrev}" ]]; then
+if [ -n "${gitrev}" ]; then
cat <<EOF >> buildinfo.h
#define GITDIR "${gitdir}"
#define BUILDBRANCH "${branch}"